### Method

# Hinawa FwFcp avc_transaction_with_tstamp

since: 2.6

#### Declaration [src]

    gboolean
    hinawa_fw_fcp_avc_transaction_with_tstamp (
      HinawaFwFcp* self,
      const guint8* cmd,
      gsize cmd_size,
      guint8** resp,
      gsize* resp_size,
      guint* tstamp,
      guint timeout_ms,
      GError** error
    )

#### Description [src]

Finish the pair of asynchronous transaction for AV/C command and response. The `timeout_ms` parameter is used to wait for response transaction since the command transaction is initiated. The timeout is not expanded in the case that AV/C INTERIM status arrived, thus the caller should expand the timeout in advance for the case.

Available since: 2.6

#### Parameters

`cmd`

  Type: An array of `guint8`

  An array with elements for request byte data. The value of this argument should point to the array and immutable.

  The length of the array is specified in the `cmd_size` argument.
  The data is owned by the caller of the method.

`cmd_size`

  Type: `gsize`

  The size of array for request in byte unit.

`resp`

  Type: An array of `guint8*`

  An array with elements for response byte data. Callers should give it for buffer with enough space against the request since this library performs no reallocation. Due to the reason, the value of this argument should point to the pointer to the array and immutable. The content of array is mutable.

  The argument will be modified by the function.
  The length of the array is specified in the `resp_size` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`resp_size`

  Type: `gsize*`

  The size of array for response in byte unit. The value of this argument should point to the numerical number and mutable.

  The argument will be modified by the function.

`tstamp`

  Type: An array of `guint`

  The array with three elements for time stamps. The first element is for the isochronous cycle at which the request was sent for the command of FCP transaction. The second element is for the isochronous cycle at which the response arrived for the command of FCP transaction. The third element is for the isochronous cycle at which the request was sent for the response of FCP transaction.

  The argument will be set by the function.
  The array must have 3 elements.
  The returned data is owned by the instance.

`timeout_ms`

  Type: `guint`

  The timeout to wait for response transaction since command transactions finishes.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.